Project

General

Profile

Bug #3379

Bug #3404: pacman hooks with hard-coded systemd-isms print error messages on openrc systems

openssh: I see some errors on upgrade

maddox - 2 months ago - . Updated about 1 month ago.

Status:
confirmed
Priority:
bug
Assignee:
-
% Done:

0%


Description

(131/668) upgrading gst-plugins-good                         [################################] 100%                              
(132/668) upgrading totem-pl-parser                          [################################] 100%                              
(133/668) upgrading ldns                                     [################################] 100%                              
(134/668) upgrading openssh                                  [################################] 100%                              
/tmp/alpm_UJ5wCB/.INSTALL: line 4: systemctl: command not found                                                                   
error: command failed to execute correctly                                                                                        
(135/668) upgrading gcr                                      [################################] 100%                              
(136/668) upgrading brasero                                  [################################] 100%                             

History

#1

Updated by anonymous about 2 months ago

Do you have OpenRC system? Systemctl is one of the manage command of systemD init-system.

#2

Updated by maddox about 2 months ago

I have OpenRC. Operating system shell recognize that systemctl does not apply, and if it does apply, it shall have it as dependency.

#3

Updated by bill-auger about 1 month ago

  • Parent task set to #3404
#4

Updated by bill-auger about 1 month ago

  • Status changed from unconfirmed to confirmed

Also available in: Atom PDF